Instalar Java Runtime Environment (JRE)

java.pngJava es un lenguaje de programación utilizado para crear aplicaciones multiplataforma, que no dependen de que máquina o hardware tengamos, sino que corren “independientemente”. Pero para poder ejecutar programas programados en Java es necesario instalar el JRE. En este caso vamos a instalar la última versión disponible, la 1.6 en GNU/Linux Ubuntu.

 

Antes de instalarlo vamos a ver cuales son los posibles comandos y que instalan cada uno:

sun-java6-demo – Contiene demos y ejemplos

sun-java6-doc – Contiene la documentación

sun-java6-fonts – Contiene la tipografía Lucida TrueType

sun-java6-jdk – Contiene el metapackage (metapaquete) para el JDK (Java Development Kit)

sun-java6-jre – Contiene el metapackage (metapaquete) para el JRE (Java Runtime Environment)

sun-java6-plugin – Contiene el plug-in para los navegadores basados en Mozilla

sun-java6-source – Contiene el código fuente para el JDK

INSTALACIÓN: Siendo usuarios comunes que queremos correr alguna aplicación Java en nuestro Ubuntu vamos a instalar el JRE y el plug-in para Firefox. Abrimos un terminal y escribimos:

sudo apt-get install sun-java6-jre sun-java6-plugin sun-java6-fonts

Cuando nos pida la clave se la damos y se comienzan a descargar los archivos. Cuando la descarga concluya se abrirá el instalador y solo debemos seguir los pasos que aparecen en la pantalla.

Para comprobar que se instaló correctamente podemos usar el comando java -version y podremos ver algo así:

java version “1.6.0”
Java(TM) SE Runtime Environment (build 1.6.0-b105)
Java HotSpot(TM) Client VM (build 1.6.0-b105, mixed mode, sharing)

Ahora ya estamos listos para correr aplicaciones Java en nuestro Ubuntu.-

Fuente: Ubuntu Geek

 

~ por egonomico en marzo 14, 2008.

20 comentarios to “Instalar Java Runtime Environment (JRE)”

  1. Hola disculpen la pregunta, lo que pasa es que tengo instalado el Matlab en linux pero no me corre por un problema con el llava, me pide el archivo sun-java6-jre, pero el problema es que no lo puedo instalar, me dice que no tiene candidato para su instalacion. Me podran ayudar. Saludos y Gracias…

  2. Hola Luis, me podés decir si lo estás instalando en ubuntu y donde te aparece ese error? Es en la terminal?

    Por las dudas probá primero escribiendo “sudo apt-get update” (sin las comillas) y luego el comando para instalar el Java “sudo apt-get install sun-java6-jre sun-java6-plugin sun-java6-fonts” a ver que sucede.

    Saludos.-

  3. vale perrito se pasó con el dato

  4. Buenisimo amigo me quedo perfecto gracias….ahora voy por el audio

  5. mil gracias exelente dato

  6. esta buenisimo el aporte, se agradece.

  7. Buena, me sirvio, gracias
    un 10/10 al aporte

  8. ola..bueno mi problema es que no puedo subir fotos a facebook. tengo internet explorer 8 y me pide instalar el complemento “facebook photo uploader”..xfavor ayudenme necesito subir fotos

  9. Te cuento que tengo problemas en la instalación del JAVA, pues sigo tus pasos al pie de la letra pero me sale los siguientes mensajes:

    Leyendo lista de paquetes… Hecho
    Creando árbol de depedencias
    Leyendo la información de estado… Hecho

    El paquete sun-java6-jre no está disponible, pero algún otro paquete hace referencia a él. Esto puede significar que el paquete falta, está obsoleto o sólo se encuentra disponible desde otra fuente.
    E. el paquete sun-java6-jre no tiene candidato para su instalación

    ————————-

    ¿Te ruego que me ayudes?

  10. Willy, tenés que activar los repositorios multiuniverse para poder instalar Java.

    El proceso para activarlo es muy sencillo, hay que ir al menú Sistema -> Administración -> Orígenes del Software. Ahora pulsamos en el botón Añadir y en la ventana que se abre vamos seleccionando todos los canales y activando las casillas: Mantenido por la comunidad (universe) y Software no libre (multiverse).

    Ahora marcamos la casilla de verificación de todos los canales universe y multiverse. Una vez hecho esto pulsamos en el botón Cerrar.

    Repositorios a activar..
    Aumentar
    Repositorios a activar..

    El sistema nos mostrará un aviso indicando que la lista de paquetes esta obsoleta. Pulsamos Recargar y el sistema procederá a actualizar la nueva lista de paquetes o programas disponibles desde Universe y Multiverse.

    Después podés volver a colocar los comandos en la terminal e instalar Java. Sino lo podés instalar gráficamente desde “Añadir y Quitar…” del menu Aplicaciones.

    fuente: http://www.guia-ubuntu.org/index.php?title=Activar_universe_y_multiverse

  11. ¿Que es un terminal?

  12. hola!
    no puedo subir fotos en facebook pero nose como ejecutar el comando “sudo …..”
    nose lo que quieren decir con abrir una terminal, ni siquiera se que es ubuntu
    yo actualice a firefox 3.6 y ya no medejo subir fotos al facebook y es el problema que tengo.
    si me podrian explicar como hacerle, gracias

  13. Muchas gracias¡¡¡ busque por todos lados los pasos y habian puras tnteras…
    te pasaste

  14. Hola
    sabes me pasa algo parecido con respecto a subir fotos
    en facebook,no se que sucede,desde hace 1 semana no logro
    cargar las fotos y ademas me aparece otro cargador no el convencional, ni siquiera me aparece el cargador simple, me gustaria ver si me pueden ayudar por favor¡¡¡¡
    espero su respuesta

  15. […] la persona interesada tiene instalada la máquina virtual de Java ya sea como runtime enviroment (JRE) o como entorno de desarrollo (JDK). Si no es así bastará con instalar el paquete correspondiente […]

  16. me llamo ricardo espero conocer muchas chicas que quieran ser mis amigas

  17. ojala funcione esto

  18. Hola, tengo problemas para correr los paquetes de java, en terminal me sale siempre (incluso luego de hacer lo que publicaste) el mismo error:
    E: El paquete no tiene un candidato para la instalación
    E: No se ha podido localizar el paquete
    E: El paquete no tiene un candidato para la instalación

    y lo mismo para:
    E: El paquete no tiene un candidato para la instalación

    Por lo que estuve viendo en el foro de processing necesito esos paquetes para correr la librería “Minim”.

    Estoy utilizando Linux Mint 14 Nadia y no encontré la ruta que citaste para acceder al sistema / administración / orígenes del software

    Soy un poco nuevo en esto de Linux pero no quiero volver a utilizar Windows; por motivos de filosofía y porque Linux es al menos en mi máquina, unas 10 veces más rápido y efectivo…

  19. DISCULPA AMIGO CUAL ES LA CLAVE

  20. masfino

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

 
A %d blogueros les gusta esto: